/* Nav */
.navbar {
	--clr-white: 216 61% 18%;
	--clr-primary-blue: 0 0% 98%;
	--clr-sub-blue: 0 0% 95%;
}
.navMenu ul li a {
	font-weight: 400;
}

/* Main tag Start */
body {
	background-color: hsl(var(--clr-white));
}

.have-side-container {
	--side-nav-width: clamp(8rem, 20%, 14rem);

	width: min(92%, 100rem);
	margin: 0 auto;
}
/* Side navigation */
#side-navigation {
	width: var(--side-nav-width);
	padding-left: 1.24vw;
	position: sticky;
	height: max-content;
	top: var(--nav-height);
	transition: top 0.4s;
}
.nav-up #side-navigation {
	top: 0;
}
#side-navigation ul {
	width: 100%;
	padding-top: 0.8rem;
	position: fixed;
}
#side-navigation a {
	width: max-content;
	display: block;
	color: hsl(var(--clr-primary-blue));
	margin-bottom: 1.3em;
	font-weight: 500;
	transition: 0.4s;
	position: relative;
}
#side-navigation a::after {
	position: absolute;
	content: "";
	width: 100%;
	height: 2.4px;
	background-color: hsl(var(--clr-primary-blue));
	bottom: -3px;
	left: 0;
	transform: scaleX(0);
	transform-origin: right;
	transition: transform 0.4s ease-in-out;
}
#side-navigation a.active,
#side-navigation a:hover {
	font-weight: 700;
}
#side-navigation a.active::after,
#side-navigation a:hover::after {
	transform: scaleX(100%);
	transform-origin: left;
}
.main-side-container {
	--margin-right: -3vw;
	width: calc(100% - var(--logo-width) - var(--margin-right));
	margin-right: var(--margin-right);
}

/* Banner */
#banner {
	width: 100%;
}
#banner picture {
	width: 100%;
	aspect-ratio: 16 / 8;
}
#banner picture img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}
.banner-content {
	font-size: clamp(10px, 0.5rem + 0.4vw, 1rem + 0.1vw);
	letter-spacing: 0.24em;
	width: 50%;
	height: max-content;
	left: 5rem;
	bottom: 5rem;
	color: hsl(var(--clr-white));
}
.banner-content h2 {
	line-height: 1.5em;
	font-size: var(--fs-800);
}
/* bottom-line design start*/
.bottom-line {
	position: relative;
}
.bottom-line::after {
	position: absolute;
	content: "";
	width: 5rem;
	height: 2px;
	left: 0;
	bottom: 0;
	background-color: hsl(var(--clr-primary-yellow));
}
/* bottom-line design end*/
.banner-content p {
	padding-top: 1.5em;
	font-size: var(--fs-600);
	line-height: 1.8em;
}

/* Company Introduction */
#company-introduction {
	--picture-width: 22rem;

	width: 100%;
	padding: 4.5rem 2vw 4.5rem 2vw;
}
#company-introduction picture {
	width: var(--picture-width);
	height: calc(1.2 * var(--picture-width));
}
#company-introduction picture img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}
#company-introduction .content {
	width: calc(100% - var(--picture-width));
	padding-left: 3vw;
}
#company-introduction .content-title h2 {
	letter-spacing: 0.4rem;
	line-height: 2.4em;
	font-size: 2vw;
}
#company-introduction .content-detail {
	padding-top: 1em;
	font-size: var(--fs-100);
	line-height: 2em;
}

/* Digital Technology */
#digital-technology {
	background-color: hsl(var(--clr-lightgrey));
}
#digital-technology .title {
	padding: 4rem 0;
}
/* title design start */
.title h2 {
	margin: 0 auto;
	width: max-content;
	padding: 0.24rem 1rem;
	border: solid 2.4px hsl(var(--clr-primary-yellow));
	position: relative;
}
.title h2::after {
	position: absolute;
	content: "";
	width: 1.8px;
	height: 2.4rem;
	background-color: hsl(var(--clr-primary-yellow));
	left: 50%;
	bottom: -1rem;
	transform: translate(-50%, 100%);
}
/* title design end */
#digital-technology .content {
	padding: 1.5rem 5rem 5rem;
}
#digital-technology .content-box {
	--width: 4rem;
	width: 50%;
	padding: 2rem 0;
}
#digital-technology .content-box .circle {
	width: var(--width);
	height: var(--width);
	border-radius: 50%;
	border: solid 2px hsl(var(--clr-black));
}
#digital-technology .content-box .detail {
	width: calc(100% - var(--width));
	padding: 0 3rem;
	letter-spacing: 0.24em;
}
#digital-technology .content-box .detail-title {
	font-size: 0.9rem;
	font-weight: 400;
	padding-bottom: 0.6rem;
}
#digital-technology .content-box .detail-content {
	font-size: 0.5rem;
	font-weight: 400;
	line-height: 2.4em;
}

/* Customization */
#customization {
	width: 100%;
	padding: 0 5rem 5rem;
}
#customization .title {
	padding: 4rem 0 5.5rem;
}
#customization .content {
	--gap: 2rem;
	gap: var(--gap);
}
#customization .content-box {
	width: calc(50% - calc(var(--gap) / 2));
	aspect-ratio: 395.21 / 263.47;
	align-items: flex-end;
	overflow: hidden;
}
#customization .content-box > * {
	grid-column: 1 / 2;
	grid-row: 1 / 2;
}
#customization .content-box picture {
	width: 100%;
	height: 100%;
}
#customization .content-box picture img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}
#customization .content-box .detail {
	--line-height: 3rem;

	background-color: hsl(var(--clr-lightblack) / 0.4);
	color: hsl(var(--clr-white));
	padding: 0 1.4rem;
	transform: translateY(calc(100% - var(--line-height)));
	transition: transform 0.4s ease, background-color 0.4s ease,
		opacity 1s cubic-bezier(0, 0.24, 0.24, 1),
		transform 1s cubic-bezier(0, 0.24, 0.24, 1);
}
#customization .content-box .detail-title h3 {
	font-size: 0.9em;
	font-weight: 500;
	line-height: var(--line-height);
}
#customization .content-box .detail-content {
	font-weight: 100;
	font-size: 0.7rem;
	padding-bottom: 0.8rem;
}
#customization .content-box:hover .detail {
	max-height: initial;
	background-color: hsl(var(--clr-lightblack) / 0.81);
	transform: translateY(0);
}

/* Contact */
#contact {
	background-color: hsl(var(--clr-lightgrey));
}
#contact .title {
	padding: 3rem 0 5rem;
}
#contact .content {
	width: inherit;
	padding: 0 5vw 3rem;
	margin-bottom: 5rem;
}
#contact .content .clinic {
	scroll-snap-align: start;
	width: 100%;
	display: flex;
	flex-wrap: nowrap;
	padding: 0.81rem;
	border: solid 2.2px hsl(var(--clr-primary-yellow));
	margin-bottom: 0.81rem;
}
#contact .content .clinic .img-container {
	min-width: 300px;
	aspect-ratio: 2 / 1;
	margin-right: 1rem;
}
#contact .content .clinic .img-container img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: top;
}
#contact .content .clinic .information {
	padding-right: 8%;
}
#contact .content .clinic h3 {
	margin-bottom: 0.4rem;
}
#contact .content .clinic a {
	color: hsl(var(--clr-primary-blue));
	font-weight: 400;
	font-size: 0.95rem;
	display: inline-block;
	margin-bottom: 0.4rem;
	text-decoration: underline 1.24px transparent;
	transition: text-decoration 0.4s ease, font-weight 0.4s ease;
}
#contact .content .clinic a:hover {
	font-weight: 600;
	text-decoration: underline 1.24px hsl(var(--clr-primary-blue));
}
#contact .content .clinic .map {
	margin-bottom: 0.4rem;
}
#contact .content .clinic .detail {
	font-weight: 300;
	font-size: 0.95rem;
}

/* Tablet (768px - 1023px) */
@media screen and (max-width: 1023px) {
	/* Side Navigation */
	.have-side-container {
		flex-direction: column;
		width: 100%;
	}

	#side-navigation {
		width: 100%;
		background-color: hsl(var(--clr-light-blue));
		z-index: 1;
		box-shadow: 0 5px 10px hsl(var(--clr-grey) / 0.24);
		padding-left: 0;
	}

	#side-navigation ul {
		display: flex;
		justify-content: center;
		padding-top: 0;
		gap: 2rem;
		padding: 1rem 0 1.4rem;
		background-color: hsl(var(--clr-light-blue));
	}

	#side-navigation a {
		margin: 0;
		padding: 0.5rem 0 0.24rem;
	}

	.main-side-container {
		width: min(92%, 100rem);
		margin: 75px auto 0;
	}

	/* Banner */
	.banner-content {
		width: 80%;
		font-size: 1.5vw;
	}
	.banner-content h2 {
		font-size: 4.5vw;
	}
}

/* Mobile (767px and below) */
@media screen and (max-width: 767px) {
	.main-side-container {
		width: 100%;
	}
	/* Side Navigation */
	#side-navigation ul {
		gap: 3rem;
	}

	/* Banner */
	.banner-content {
		font-size: 14px;
		width: calc(90% - 5rem);
	}

	/* Company Introduction */
	#company-introduction {
		--picture-width: 40vw;
		padding: 4.5rem 5vw;
	}
	#company-introduction .content-title h2 {
		font-size: 1rem;
	}

	/* title design end */
	#digital-technology .content {
		padding: 1.5rem 4vw 5rem;
	}
	#digital-technology .content-box {
		--width: 6rem;

		flex-direction: column;
		gap: 1rem;
		text-align: center;
	}
	#digital-technology .content-box .detail {
		width: 81%;
		padding: 0;
	}
	#digital-technology .content-box .detail-content {
		font-size: 0.8rem;
		line-height: 2em;
	}

	/* Customization */
	#customization {
		padding: 0 5vw 5rem;
	}

	/* Clinic Position */
	#contact .content {
		margin-bottom: 0;
	}

	/* Contact */
	#contact .content .clinic {
		display: grid;
		max-height: initial;
		height: auto;
	}

	#contact .content .clinic .img-container {
		--margin-bottom: 1.8rem;
		max-width: fit-content;
		min-width: 94%;
		margin: 0.24rem auto var(--margin-bottom);
		position: relative;
		width: 100%;
	}

	#contact .content .clinic .img-container::after {
		position: absolute;
		content: "";
		width: 81%;
		height: 2px;
		left: 50%;
		bottom: calc(-1 * var(--margin-bottom));
		transform: translateX(-50%);
		background-color: hsl(var(--clr-primary-blue));
	}

	#contact .content .clinic .information {
		padding: 0.8rem 1rem 0.24rem;
		width: 94%;
		text-align: center;
	}

	#contact .content .clinic h3 {
		font-size: 1.1rem;
	}
}

@media screen and (max-width: 650px) {
	#side-navigation ul {
		gap: 0;
		justify-content: space-around;
	}
	/* Banner */
	#banner picture {
		width: 100%;
		aspect-ratio: 16 / 10;
	}
	.banner-content {
		bottom: 6.5vw;
		left: 8vw;
		width: calc(92% - 8vw);
	}
	.banner-content h2 {
		font-size: 1.5rem;
	}
	.banner-content .from-little-bottom p {
		font-size: 0.8rem;
	}

	/* Company Introduction */
	#digital-technology .content-box .detail-content {
		line-height: 1.5em;
	}

	/* Customization */
	#customization {
		padding: 0 10vw 5rem;
	}

	#customization .content-box {
		width: 100%;
		text-align: center;
	}
}
